听力精听/Bearer
Read dictation attempt
Read one exact submitted listening-dictation attempt owned by the authenticated user, including paginated sentence snapshots, user entries, expected words, match results, translations, and score facts for local Agent review.
Endpoint
POST
/api/v1/agent/capabilities/ielts_dictation_read_attempt请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
| attemptId | string | 是 | Exact attempt id returned by dictation.recent_attempts. |
| limit | number | 否 | Maximum attempt lines to return. |
| offset | number | 否 | Line offset returned by the preceding call. |
调用示例
curl -X POST \
'https://work.ieltsbuddy.igopx.cn/api/v1/agent/capabilities/ielts_dictation_read_attempt' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $IELTS_BUDDY_TOKEN' \
--data '{"attemptId":"00000000-0000-4000-8000-000000000000","limit":20,"offset":0}'请求结构
{
"type": "object",
"properties": {
"attemptId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
"description": "Exact attempt id returned by dictation.recent_attempts."
},
"limit": {
"default": 20,
"description": "Maximum attempt lines to return.",
"type": "integer",
"minimum": 1,
"maximum": 30
},
"offset": {
"default": 0,
"description": "Line offset returned by the preceding call.",
"type": "integer",
"minimum": 0,
"maximum": 10000
}
},
"required": [
"attemptId",
"limit",
"offset"
],
"additionalProperties": false
}统一响应
接口结果位于 data;code 为 0 表示调用成功。
{
"code": 0,
"data": {},
"message": "ok"
}错误码
400
40001请求参数不符合接口契约401
40101缺少或使用了无效的访问令牌403
40301访问令牌不包含接口所需权限404
40401接口或目标资源不存在